package com.atlassian.bitbucket.mesh.git.binary;

import com.atlassian.bitbucket.mesh.util.Version;
import org.junit.Test;

import static org.junit.Assert.assertEquals;

/** Sanity test to expand coverage. */
public class SimpleGitBinaryTest {

    @Test
    public void testGetPathAndVersion() {
        String path = "/path/to/somewhere";
        Version version = new Version(1, 8);

        SimpleGitBinary binary = new SimpleGitBinary(path, version);
        assertEquals(path, binary.getPath());
        assertEquals(version, binary.getVersion());
    }
}
